package gamrprj;

import java.awt.*;
import java.awt.geom.*;

/**
 * @author Administrator
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public interface Entity {
	String getName();
	
	/*
	 * ڽ  ġ
	 */
	Point2D getPosition();
	double getX();
	double getY();

	int getDirection();
	double getSpeed();

	int getLife();
	boolean isAlive();

	/*
	 * Entity mass  ũ õ ̴.
	 *     0̰ ̳ ũ⿡    ̰
	 * ̻, Ե  Ŀ ũ⿡    ̴.
	 */
	double getMass();

	
	void execute();


	/*
	 * ڽ    .  x, y  Ͱ ȯѴ.
	 */
	double[] getVector();

	double getXVector();
	double getYVector();
	
    double getXAccelation();
	double getYAccelation();


	// Shape õ ޼ҵ
	Point2D[] getPoints();
	Line2D[] getLines();	
	
	Shape getOriginalShape();	
	Shape getTransformedShape();
	
	AffineTransform getRotateTransform();
	AffineTransform getTranslateTransform();
	AffineTransform getScaleTransform();
	
	void zoom(double scale);


}
