/**
 *  Copyright (C) 2001-2004 Connected Systems Inc. All rights reserved. This
 *  software is the confidential and proprietary information of Connected
 *  Systems Inc. ("Confidential Information").
 */
package net.narusas.game.eun1;

import java.awt.Rectangle;

/**
 * @author jsahn
 * 
 * $Log: BattleField.java,v $
 * Revision 1.4  2004/06/07 16:22:53  narusas
 * ̴ϸʰ BattleField 콺 Ŭ  
 *
 * Revision 1.3  2004/06/06 15:56:14  narusas
 * Unit Manager Unit Layer ⺻  Ϸ
 * Revision 1.2 2004/06/01 16:49:09 narusas *** empty
 * log message ***
 * 
 * Revision 1.1 2004/06/01 10:09:36 narusas *** empty log message ***
 *  
 */
public class BattleField {
	static int ct = 0;
	private int _width;
	private int _height;
	private int _viewWidth;
	private int _viewHeight;
	private int _viewX;
	private int _viewY;
	
	public BattleField(int width, int height, int viewWidth, int viewHeight, int viewX, int viewY){
		_width = width;
		_height = height;
		_viewWidth = viewWidth;
		_viewHeight = viewHeight;
		_viewX = viewX;
		_viewY = viewY;
	}

	/**
	 * @return
	 */
	public Rectangle getView() {		
		return new Rectangle(_viewX, _viewY, _viewWidth, _viewHeight);
	}

	/**
	 * @return
	 */
	public int getWidth() {
		return _width;
	}

	/**
	 * @return
	 */
	public int getHeight() {
		return _height;
	}
	
	public void viewAt(int x, int y){
		_viewX = x - _viewWidth/2;
		if (_viewX <0){
			_viewX = 0;
		}
		if (_viewX > _width - _viewWidth){
			_viewX = _width - _viewWidth;
		}
		
		
		_viewY = y - _viewHeight/2;
		if (_viewY <0){
			_viewY = 0;
		}
		if (_viewY > _height - _viewHeight){
			_viewY = _height - _viewHeight;
		}
	}

}