/*
 * Created on 2004. 5. 16.
 *
 * 
 */
package net.narusas.game.framework.util;

/**
 * @author Jisung, Ahn
 * 
 *  
 */
public class LinearInterpolation {
	private float _remainingTime;
	private float _value;
	private float _step;

	public boolean setup(float from, float to, float time) {
		if (time < 0) {
			return false;

		}
		_remainingTime = time;
		_value = from;
		_step = (to - from) / time;
		return true;
	}

	public boolean interpolate(float deltaTime) {
		_remainingTime -= deltaTime;
		_value += _step * deltaTime;
		return (_remainingTime <= 0);
	}

	public float getValue() {
		return _value;
	}

}