package gamrprj;


import java.awt.*;
import java.awt.geom.*;

/**
 * <p>Title: 2D  ùķ̼</p>
 * <p>Description:  Ʈ 2D   ǽð  ùķ̼ ǥ ϰ ֽϴ.  帮ڸ, Ͽ Ȩ  ǽðȭϴ  ǥԴϴ.  </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Jisung, AHn
 * @version 1.0
 */

public class Laser extends AbstractEntity {
    MainScreenFrame frame;
    public Laser(Entity entity, MainScreenFrame aFrame) {
        frame = aFrame;
        this._originalShape = getSelfShape();
        _x = entity.getX();
        _y = entity.getY();
        _direction = entity.getDirection();
        _oldDirection = _direction;
        _speed = 10;
        calcVector();

        _rotateTransform = AffineTransform.getRotateInstance(_translateEngine.toRad(_direction));
        _translateTransform = AffineTransform.getTranslateInstance(_x, _y);
        _transformedShape = _rotateTransform.createTransformedShape(_originalShape);
        _transformedShape = _translateTransform.createTransformedShape(_transformedShape);
        _points = _collisionEngine.getPointsOnShape(_originalShape);
        _lines = _collisionEngine.getLinesOnShape(_originalShape);
    }
    public Shape getSelfShape() {
        Line2D p = new Line2D.Double(0D, 0D, 0D, 20D);
        return p;
    }
    public void execute() {
        setX(_xVector);
        setY(_yVector);
        if (getX() < 0 || getX() > 600 || getY() < 0 || getY() > 600) {
            frame.removeEntity(this);
        }
        _isTransformed = false;
    }
}