/*
 * Created on 2004. 5. 30.
 *
 * All right reserved to Jisung, Ahn
 */
package net.narusas.game.eun1.layers;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Rectangle;

import net.narusas.game.framework.Game;
import net.narusas.game.framework.GraphicsUtils;
import net.narusas.game.framework.Layer;

/**
 * 
 * 
 * @author Jisung, Ahn
 * 
 *  
 */
public class BGLayer implements Layer {

	private Game _game;
	private Rectangle _bounds;
	public BGLayer(Game game) {
		_game = game;
		_bounds = new Rectangle(0, 0, _game.getWidth(), _game.getHeight());
	}
	/*
	 * (non-Javadoc)
	 * 
	 * @see net.narusas.game.eun.Layer#paint(java.awt.Graphics2D)
	 */
	public void paint(Graphics2D g2) {
		g2.setColor(Color.black);
		g2.fillRect(0, 0, _game.getWidth(), _game.getHeight());
		GraphicsUtils.drawBebelRect(g2, 0, 0, _game.getWidth() - 1, _game
				.getHeight() - 1);
	}
	/*
	 * (non-Javadoc)
	 * 
	 * @see net.narusas.game.framework.Layer#getBounds()
	 */
	public Rectangle getBounds() {
		return _bounds;
	}

}