package net.narusas.game.framework;

/**
 *
 * 
 * @author Jisung, Ahn
 * @version 1.0
 */

public class TranslateEngine {
	static double sin[];
	static double cos[];
	static double rad[];

	static {
		sin = new double[360];
		cos = new double[360];
		rad = new double[360];
		for (int i = 0; i < 360; i++) {
			rad[i] = toRad(i);
			sin[i] = Math.sin(rad[i]);
			cos[i] = Math.cos(rad[i]);
		}
	}

	public static double cos(int angle) {
		return cos[angle];
	}

	public static double sin(int angle) {
		return sin[angle];
	}

	public static double toRad(int angle) {
		return angle * Math.PI / 180;
	}

	public static int toAngle(double rad) {
		int a = (int) (rad * 180 / Math.PI) % 360;
		if (a < 0) {
			a = 360 + a;
		}
		return a;
	}

}