/*
 * Created on 2004. 6. 6.
 *
 * All right reserved to Jisung, Ahn
 */
package net.narusas.game.framework;

import java.awt.Graphics2D;
import java.awt.Point;
import java.awt.Rectangle;

/**
 * 
 * 
 * @author Jisung, Ahn
 * 
 *  
 */
public interface Unit {
	int getX();
	int getY();
	float getBearing();
	float getSpeed();
	Point[] getWayPoints();
	Rectangle getBounds();
	void execute();
	void draw(Graphics2D g2, Rectangle view);
	void addWayPoint(int x, int y);
	void setWayPoint(int x, int y);
	
	Point getNextWayPoint();
	
}