/*
 * Created on 2004. 5. 30.
 *
 * All right reserved to Jisung, Ahn
 */
package net.narusas.game.framework.event;

import java.awt.Event;

/**
 * 
 * 
 * @author Jisung, Ahn
 * 
 *  
 */
public interface EventListener {

	/**
	 * @param e
	 * @param i
	 * @param j
	 * @return
	 */
	boolean mouseMove(Event e, int x, int y);

	/**
	 * @param e
	 * @param i
	 * @param j
	 * @return
	 */
	boolean mouseDobleClick(Event e, int x, int y);

	/**
	 * @param e
	 * @param i
	 * @param j
	 * @return
	 */
	boolean mouseDown(Event e, int x, int y);

	/**
	 * @param e
	 * @param i
	 * @param j
	 * @return
	 */
	boolean mouseDrag(Event e, int x, int y);

	/**
	 * @param e
	 * @param i
	 * @param j
	 * @return
	 */
	boolean mouseUp(Event e, int x, int y);

	/**
	 * @param e
	 * @param i
	 * @return
	 */
	boolean keyDown(Event e, int keyCode);

	/**
	 * @param e
	 * @param i
	 * @return
	 */
	boolean keyUp(Event e, int keyCode);

	/**
	 * @param e
	 * @param i
	 * @param j
	 * @return
	 */
	boolean mouseEnter(Event e, int x, int y);

	/**
	 * @param e
	 * @param i
	 * @param j
	 * @return
	 */
	boolean mouseExit(Event e, int x, int y);

	/**
	 * @param e
	 * @return
	 */
	boolean handleEvent(Event e);

}