package net.narusas.game.tactical;

import javax.swing.*;

import net.narusas.game.tactical2.*;

import java.awt.*;
import java.awt.event.*;

/**
 * <p>
 * Title: 2D  ùķ̼
 * </p>
 * <p>
 * Description:  Ʈ 2D   ǽð  ùķ̼ ǥ ϰ ֽϴ.  帮ڸ,
 * Ͽ Ȩ  ǽðȭϴ  ǥԴϴ.
 * </p>
 * <p>
 * Copyright: Copyright (c) 2003
 * </p>
 * <p>
 * Company:
 * </p>
 * 
 * @author Jisung, AHn
 * @version 1.0
 */

public class ControlFrame extends JFrame {
	GridBagLayout gridBagLayout1 = new GridBagLayout();
	JLabel jLabel1 = new JLabel();
	JTextField XTextField = new JTextField();
	JLabel jLabel2 = new JLabel();
	JTextField YTextField = new JTextField();
	JTextField dirTextField = new JTextField();
	JLabel jLabel4 = new JLabel();
	JTextField speedTextField = new JTextField();
	JPanel jPanel1 = new JPanel();
	BorderLayout borderLayout1 = new BorderLayout();
	JButton fireButton = new JButton();
	JButton rightButton = new JButton();
	JButton leftButton = new JButton();
	JLabel jLabel3 = new JLabel();

	AbstractEntity ship;
	MainScreenFrame frame;

	public ControlFrame(AbstractEntity aShip, MainScreenFrame aFrame) {
		this.ship = aShip;
		this.frame = aFrame;
		try {
			jbInit();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	private void jbInit() throws Exception {
		jLabel1.setText("X");
		this.getContentPane().setLayout(gridBagLayout1);
		XTextField.setPreferredSize(new Dimension(50, 22));
		XTextField.setText("");
		jLabel2.setText("Y");
		YTextField.setPreferredSize(new Dimension(50, 22));

		YTextField.setText("");
		jLabel4.setText("Speed");
		jPanel1.setLayout(borderLayout1);
		fireButton.setToolTipText("");
		fireButton.setText("Fire!!!");
		fireButton.addActionListener(new ControlFrame_fireButton_actionAdapter(
				this));
		rightButton.setText("Right");
		rightButton
				.addActionListener(new ControlFrame_rightButton_actionAdapter(
						this));
		leftButton.setText("Left");
		leftButton.addActionListener(new ControlFrame_leftButton_actionAdapter(
				this));
		dirTextField.setMinimumSize(new Dimension(40, 22));
		dirTextField.setPreferredSize(new Dimension(50, 22));
		dirTextField.setText("");
		speedTextField.setPreferredSize(new Dimension(50, 22));
		speedTextField.setText("");
		jLabel3.setPreferredSize(new Dimension(50, 16));
		jLabel3.setHorizontalAlignment(SwingConstants.CENTER);
		jLabel3.setText("Dir");
		this.getContentPane().add(
				XTextField,
				new GridBagConstraints(1, 0, 1, 1, 0.0, 0.0,
						GridBagConstraints.CENTER, GridBagConstraints.NONE,
						new Insets(0, 0, 0, 0), 0, 0));
		this.getContentPane().add(
				jLabel1,
				new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0,
						GridBagConstraints.CENTER, GridBagConstraints.NONE,
						new Insets(0, 0, 0, 0), 0, 0));
		this.getContentPane().add(
				jLabel2,
				new GridBagConstraints(2, 0, 1, 1, 0.0, 0.0,
						GridBagConstraints.CENTER, GridBagConstraints.NONE,
						new Insets(0, 0, 0, 0), 0, 0));
		this.getContentPane().add(
				YTextField,
				new GridBagConstraints(3, 0, 1, 1, 0.0, 0.0,
						GridBagConstraints.CENTER, GridBagConstraints.NONE,
						new Insets(0, 0, 0, 0), 0, 0));
		this.getContentPane().add(
				dirTextField,
				new GridBagConstraints(1, 1, 1, 1, 0.0, 0.0,
						GridBagConstraints.CENTER, GridBagConstraints.NONE,
						new Insets(0, 0, 0, 0), 0, 0));
		this.getContentPane().add(
				jLabel4,
				new GridBagConstraints(2, 1, 1, 1, 0.0, 0.0,
						GridBagConstraints.CENTER, GridBagConstraints.NONE,
						new Insets(0, 0, 0, 0), 0, 0));
		this.getContentPane().add(
				speedTextField,
				new GridBagConstraints(3, 1, 1, 1, 0.0, 0.0,
						GridBagConstraints.CENTER, GridBagConstraints.NONE,
						new Insets(0, 0, 0, 0), 0, 0));
		this.getContentPane().add(
				jPanel1,
				new GridBagConstraints(0, 2, 4, 1, 0.0, 0.0,
						GridBagConstraints.CENTER, GridBagConstraints.NONE,
						new Insets(0, 0, 0, 0), 0, 0));
		jPanel1.add(fireButton, BorderLayout.CENTER);
		jPanel1.add(rightButton, BorderLayout.EAST);
		jPanel1.add(leftButton, BorderLayout.WEST);
		this.getContentPane().add(
				jLabel3,
				new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0,
						GridBagConstraints.EAST, GridBagConstraints.NONE,
						new Insets(0, 0, 0, 0), 0, 0));
	}

	void leftButton_actionPerformed(ActionEvent e) {
		int delta = -5;
		ship.setDirection(delta);
	}

	void fireButton_actionPerformed(ActionEvent e) {
		//        frame.fire(ship);
	}

	void rightButton_actionPerformed(ActionEvent e) {
		int delta = 5;
		ship.setDirection(delta);
	}

	public void refreshInfo() {
		XTextField.setText("" + ship.getX());
		YTextField.setText("" + ship.getY());
		dirTextField.setText("" + ship.getDirection());
		speedTextField.setText("" + ship.getSpeed());
	}
}

class ControlFrame_leftButton_actionAdapter
		implements
			java.awt.event.ActionListener {
	ControlFrame adaptee;

	ControlFrame_leftButton_actionAdapter(ControlFrame adaptee) {
		this.adaptee = adaptee;
	}
	public void actionPerformed(ActionEvent e) {
		adaptee.leftButton_actionPerformed(e);
	}
}

class ControlFrame_fireButton_actionAdapter
		implements
			java.awt.event.ActionListener {
	ControlFrame adaptee;

	ControlFrame_fireButton_actionAdapter(ControlFrame adaptee) {
		this.adaptee = adaptee;
	}
	public void actionPerformed(ActionEvent e) {
		adaptee.fireButton_actionPerformed(e);
	}
}

class ControlFrame_rightButton_actionAdapter
		implements
			java.awt.event.ActionListener {
	ControlFrame adaptee;

	ControlFrame_rightButton_actionAdapter(ControlFrame adaptee) {
		this.adaptee = adaptee;
	}
	public void actionPerformed(ActionEvent e) {
		adaptee.rightButton_actionPerformed(e);
	}
}